/*
 * Copyright © 2020-2023 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of gaming-core.
 *
 * Gaming-core is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Gaming-core is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * gaming-core. If not, see <http://www.gnu.org/licenses/>.
 */
package de.fhdw.gaming.core.ui;

/**
 * Encapsulates an exception thrown by an input provider.
 */
public class InputProviderException extends Exception {

    private static final long serialVersionUID = 5316303836640307344L;

    /**
     * Creates an {@link InputProviderException} with a message.
     *
     * @param message The exception message.
     */
    public InputProviderException(final String message) {
        super(message);
    }

    /**
     * Creates an {@link InputProviderException} with a message and a cause.
     *
     * @param message The exception message.
     * @param cause   The {@link Throwable cause}.
     */
    public InputProviderException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
